WordPress 4.5
[autoinstalls/wordpress.git] / wp-admin / update-core.php
index 0e698a57c266d44f50be3248ca8360ccf7d9f195..38c30d4de6b57f7b6e1b0e46ed1aee0d3ba53bdb 100644 (file)
@@ -242,55 +242,33 @@ function list_plugin_updates() {
 <form method="post" action="<?php echo esc_url( $form_action ); ?>" name="upgrade-plugins" class="upgrade">
 <?php wp_nonce_field('upgrade-core'); ?>
 <p><input id="upgrade-plugins" class="button" type="submit" value="<?php esc_attr_e('Update Plugins'); ?>" name="upgrade" /></p>
-<table class="widefat" id="update-plugins-table">
+<table class="widefat updates-table" id="update-plugins-table">
        <thead>
        <tr>
-               <td scope="col" class="manage-column check-column"><input type="checkbox" id="plugins-select-all" /></td>
-               <th scope="col" class="manage-column"><label for="plugins-select-all"><?php _e('Select All'); ?></label></th>
+               <td class="manage-column check-column"><input type="checkbox" id="plugins-select-all" /></td>
+               <td class="manage-column"><label for="plugins-select-all"><?php _e( 'Select All' ); ?></label></td>
        </tr>
        </thead>
 
        <tbody class="plugins">
 <?php
        foreach ( (array) $plugins as $plugin_file => $plugin_data ) {
-               $info = plugins_api( 'plugin_information', array(
-                       'slug' => $plugin_data->update->slug,
-                       'fields' => array(
-                               'short_description' => false,
-                               'sections' => false,
-                               'requires' => false,
-                               'rating' => false,
-                               'ratings' => false,
-                               'downloaded' => false,
-                               'downloadlink' => false,
-                               'last_updated' => false,
-                               'added' => false,
-                               'tags' => false,
-                               'homepage' => false,
-                               'donate_link' => false,
-                       ),
-               ) );
-
-               if ( is_wp_error( $info ) ) {
-                       $info = false;
-               }
-
                // Get plugin compat for running version of WordPress.
-               if ( isset($info->tested) && version_compare($info->tested, $cur_wp_version, '>=') ) {
+               if ( isset($plugin_data->update->tested) && version_compare($plugin_data->update->tested, $cur_wp_version, '>=') ) {
                        $compat = '<br />' . sprintf(__('Compatibility with WordPress %1$s: 100%% (according to its author)'), $cur_wp_version);
-               } elseif ( isset($info->compatibility[$cur_wp_version][$plugin_data->update->new_version]) ) {
-                       $compat = $info->compatibility[$cur_wp_version][$plugin_data->update->new_version];
-                       $compat = '<br />' . sprintf(__('Compatibility with WordPress %1$s: %2$d%% (%3$d "works" votes out of %4$d total)'), $cur_wp_version, $compat[0], $compat[2], $compat[1]);
+               } elseif ( isset($plugin_data->update->compatibility->{$cur_wp_version}) ) {
+                       $compat = $plugin_data->update->compatibility->{$cur_wp_version};
+                       $compat = '<br />' . sprintf(__('Compatibility with WordPress %1$s: %2$d%% (%3$d "works" votes out of %4$d total)'), $cur_wp_version, $compat->percent, $compat->votes, $compat->total_votes);
                } else {
                        $compat = '<br />' . sprintf(__('Compatibility with WordPress %1$s: Unknown'), $cur_wp_version);
                }
                // Get plugin compat for updated version of WordPress.
                if ( $core_update_version ) {
-                       if ( isset( $info->tested ) && version_compare( $info->tested, $core_update_version, '>=' ) ) {
+                       if ( isset( $plugin_data->update->tested ) && version_compare( $plugin_data->update->tested, $core_update_version, '>=' ) ) {
                                $compat .= '<br />' . sprintf( __( 'Compatibility with WordPress %1$s: 100%% (according to its author)' ), $core_update_version );
-                       } elseif ( isset( $info->compatibility[ $core_update_version ][ $plugin_data->update->new_version ] ) ) {
-                               $update_compat = $info->compatibility[$core_update_version][$plugin_data->update->new_version];
-                               $compat .= '<br />' . sprintf(__('Compatibility with WordPress %1$s: %2$d%% (%3$d "works" votes out of %4$d total)'), $core_update_version, $update_compat[0], $update_compat[2], $update_compat[1]);
+                       } elseif ( isset( $plugin_data->update->compatibility->{$core_update_version} ) ) {
+                               $update_compat = $plugin_data->update->compatibility->{$core_update_version};
+                               $compat .= '<br />' . sprintf(__('Compatibility with WordPress %1$s: %2$d%% (%3$d "works" votes out of %4$d total)'), $core_update_version, $update_compat->percent, $update_compat->votes, $update_compat->total_votes);
                        } else {
                                $compat .= '<br />' . sprintf(__('Compatibility with WordPress %1$s: Unknown'), $core_update_version);
                        }
@@ -303,22 +281,48 @@ function list_plugin_updates() {
                }
 
                $details_url = self_admin_url('plugin-install.php?tab=plugin-information&plugin=' . $plugin_data->update->slug . '&section=changelog&TB_iframe=true&width=640&height=662');
-               $details_text = sprintf(__('View version %1$s details.'), $plugin_data->update->new_version);
-               $details = sprintf('<a href="%1$s" class="thickbox" title="%2$s">%3$s</a>', esc_url($details_url), esc_attr($plugin_data->Name), $details_text);
-
-               echo "
-       <tr>
-               <th scope='row' class='check-column'><input type='checkbox' name='checked[]' value='" . esc_attr($plugin_file) . "' /></th>
-               <td><p><strong>{$plugin_data->Name}</strong><br />" . sprintf(__('You have version %1$s installed. Update to %2$s.'), $plugin_data->Version, $plugin_data->update->new_version) . ' ' . $details . $compat . $upgrade_notice . "</p></td>
-       </tr>";
+               $details = sprintf(
+                       '<a href="%1$s" class="thickbox open-plugin-details-modal" aria-label="%2$s">%3$s</a>',
+                       esc_url( $details_url ),
+                       /* translators: 1: plugin name, 2: version number */
+                       esc_attr( sprintf( __( 'View %1$s version %2$s details' ), $plugin_data->Name, $plugin_data->update->new_version ) ),
+                       /* translators: %s: plugin version */
+                       sprintf( __( 'View version %s details.' ), $plugin_data->update->new_version )
+               );
+
+               $checkbox_id = "checkbox_" . md5( $plugin_data->Name );
+               ?>
+               <tr>
+                       <td class="check-column">
+                               <input type="checkbox" name="checked[]" id="<?php echo $checkbox_id; ?>" value="<?php echo esc_attr( $plugin_file ); ?>" />
+                               <label for="<?php echo $checkbox_id; ?>" class="screen-reader-text"><?php
+                                       /* translators: %s: plugin name */
+                                       printf( __( 'Select %s' ),
+                                               $plugin_data->Name
+                                       );
+                               ?></label>
+                       </td>
+                       <td class="plugin-title"><p>
+                               <strong><?php echo $plugin_data->Name; ?></strong>
+                               <?php
+                                       /* translators: 1: plugin version, 2: new version */
+                                       printf( __( 'You have version %1$s installed. Update to %2$s.' ),
+                                               $plugin_data->Version,
+                                               $plugin_data->update->new_version
+                                       );
+                                       echo ' ' . $details . $compat . $upgrade_notice;
+                               ?>
+                       </p></td>
+               </tr>
+               <?php
        }
 ?>
        </tbody>
 
        <tfoot>
        <tr>
-               <td scope="col" class="manage-column check-column"><input type="checkbox" id="plugins-select-all-2" /></td>
-               <th scope="col" class="manage-column"><label for="plugins-select-all-2"><?php _e( 'Select All' ); ?></label></th>
+               <td class="manage-column check-column"><input type="checkbox" id="plugins-select-all-2" /></td>
+               <td class="manage-column"><label for="plugins-select-all-2"><?php _e( 'Select All' ); ?></label></td>
        </tr>
        </tfoot>
 </table>
@@ -346,30 +350,50 @@ function list_theme_updates() {
 <form method="post" action="<?php echo esc_url( $form_action ); ?>" name="upgrade-themes" class="upgrade">
 <?php wp_nonce_field('upgrade-core'); ?>
 <p><input id="upgrade-themes" class="button" type="submit" value="<?php esc_attr_e('Update Themes'); ?>" name="upgrade" /></p>
-<table class="widefat" id="update-themes-table">
+<table class="widefat updates-table" id="update-themes-table">
        <thead>
        <tr>
-               <td scope="col" class="manage-column check-column"><input type="checkbox" id="themes-select-all" /></td>
-               <th scope="col" class="manage-column"><label for="themes-select-all"><?php _e('Select All'); ?></label></th>
+               <td class="manage-column check-column"><input type="checkbox" id="themes-select-all" /></td>
+               <td class="manage-column"><label for="themes-select-all"><?php _e( 'Select All' ); ?></label></td>
        </tr>
        </thead>
 
        <tbody class="plugins">
 <?php
        foreach ( $themes as $stylesheet => $theme ) {
-               echo "
-       <tr>
-               <th scope='row' class='check-column'><input type='checkbox' name='checked[]' value='" . esc_attr( $stylesheet ) . "' /></th>
-               <td class='plugin-title'><img src='" . esc_url( $theme->get_screenshot() ) . "' width='85' height='64' style='float:left; padding: 0 5px 5px' alt='' /><strong>" . $theme->display('Name') . '</strong> ' . sprintf( __( 'You have version %1$s installed. Update to %2$s.' ), $theme->display('Version'), $theme->update['new_version'] ) . "</td>
-       </tr>";
+               $checkbox_id = 'checkbox_' . md5( $theme->get( 'Name' ) );
+               ?>
+               <tr>
+                       <td class="check-column">
+                               <input type="checkbox" name="checked[]" id="<?php echo $checkbox_id; ?>" value="<?php echo esc_attr( $stylesheet ); ?>" />
+                               <label for="<?php echo $checkbox_id; ?>" class="screen-reader-text"><?php
+                                       /* translators: %s: theme name */
+                                       printf( __( 'Select %s' ),
+                                               $theme->display( 'Name' )
+                                       );
+                               ?></label>
+                       </td>
+                       <td class="plugin-title"><p>
+                               <img src="<?php echo esc_url( $theme->get_screenshot() ); ?>" width="85" height="64" class="updates-table-screenshot" alt="" />
+                               <strong><?php echo $theme->display( 'Name' ); ?></strong>
+                               <?php
+                                       /* translators: 1: theme version, 2: new version */
+                                       printf( __( 'You have version %1$s installed. Update to %2$s.' ),
+                                               $theme->display( 'Version' ),
+                                               $theme->update['new_version']
+                                       );
+                               ?>
+                       </p></td>
+               </tr>
+               <?php
        }
 ?>
        </tbody>
 
        <tfoot>
        <tr>
-               <td scope="col" class="manage-column check-column"><input type="checkbox" id="themes-select-all-2" /></td>
-               <th scope="col" class="manage-column"><label for="themes-select-all-2"><?php _e( 'Select All' ); ?></label></th>
+               <td class="manage-column check-column"><input type="checkbox" id="themes-select-all-2" /></td>
+               <td class="manage-column"><label for="themes-select-all-2"><?php _e( 'Select All' ); ?></label></td>
        </tr>
        </tfoot>
 </table>
@@ -468,7 +492,7 @@ function do_core_upgrade( $reinstall = false ) {
 
        if ( is_wp_error($result) ) {
                show_message($result);
-               if ('up_to_date' != $result->get_error_code() )
+               if ( 'up_to_date' != $result->get_error_code() && 'locked' != $result->get_error_code() )
                        show_message( __('Installation Failed') );
                echo '</div>';
                return;
@@ -574,7 +598,7 @@ if ( 'upgrade-core' == $action ) {
 
        echo '<p>';
        /* translators: %1 date, %2 time. */
-       printf( __('Last checked on %1$s at %2$s.'), date_i18n( get_option( 'date_format' ) ), date_i18n( get_option( 'time_format' ) ) );
+       printf( __( 'Last checked on %1$s at %2$s.' ), date_i18n( __( 'F j, Y' ) ), date_i18n( __( 'g:i a' ) ) );
        echo ' &nbsp; <a class="button" href="' . esc_url( self_admin_url('update-core.php?force-check=1') ) . '">' . __( 'Check Again' ) . '</a>';
        echo '</p>';
 
@@ -644,7 +668,7 @@ if ( 'upgrade-core' == $action ) {
        require_once(ABSPATH . 'wp-admin/admin-header.php');
        echo '<div class="wrap">';
        echo '<h1>' . __( 'Update Plugins' ) . '</h1>';
-       echo '<iframe src="', $url, '" style="width: 100%; height: 100%; min-height: 750px;" frameborder="0"></iframe>';
+       echo '<iframe src="', $url, '" style="width: 100%; height: 100%; min-height: 750px;" frameborder="0" title="' . esc_attr__( 'Update progress' ) . '"></iframe>';
        echo '</div>';
        include(ABSPATH . 'wp-admin/admin-footer.php');
 
@@ -673,7 +697,7 @@ if ( 'upgrade-core' == $action ) {
        ?>
        <div class="wrap">
                <h1><?php _e( 'Update Themes' ); ?></h1>
-               <iframe src="<?php echo $url ?>" style="width: 100%; height: 100%; min-height: 750px;" frameborder="0"></iframe>
+               <iframe src="<?php echo $url ?>" style="width: 100%; height: 100%; min-height: 750px;" frameborder="0" title="<?php esc_attr_e( 'Update progress' ); ?>"></iframe>
        </div>
        <?php
        include(ABSPATH . 'wp-admin/admin-footer.php');